// MailSettingsDlg.cpp : implementation file
//

// Σε αυτό το αρχείο υπάρχουν κάποιες ρουτίνες που αφορούν το 
// παράθυρο για την ρύθμιση της ευαισθησίας

// Εδώ συμπεριλαμβάνουμε όλα τα απαραίτητα αρχεία που χρείαζεται
// το παράθυρο για να λειτουργήσει.
#include "stdafx.h"
#include "Surveillance.h"
#include "MailSettingsDlg.h"


// CMailSettingsDlg dialog

IMPLEMENT_DYNAMIC(CMailSettingsDlg, CDialog)

CMailSettingsDlg::CMailSettingsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CMailSettingsDlg::IDD, pParent)
	// Εδώ αρχικοποιούμε κάποιες τιμές σχετικά με τις ρυθμίσεις
	// για την λειτουργία του mail server
{
		
}


CMailSettingsDlg::~CMailSettingsDlg()
{
}

void CMailSettingsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_MAIL_SERVER, m_sMailServer);
	DDX_Text(pDX, IDC_MAIL_USER, m_sMailUser);
	DDX_Text(pDX, IDC_MAIL_PASSWORD, m_sMailPassword);
	DDX_Text(pDX, IDC_MAIL_RECIEPT, m_sMailReciept);
}

BEGIN_MESSAGE_MAP(CMailSettingsDlg, CDialog)
	ON_BN_CLICKED(IDOK, &CMailSettingsDlg::OnBnClickedOk)
END_MESSAGE_MAP()


// CMailSettingsDlg message handlers

// Η ρουτίνα που εκτελείτε όταν πατήσουμε το κουμπί OK
void CMailSettingsDlg::OnBnClickedOk()
{
	// Κλείνει το παράθυρο
	OnOK();
}
